Subject: Re: linux-next: scsi tree build failure

From: Robert Jennings <[email-masked]>
Date: Mon, 7 Jul 2008 09:53:40 -0500

* James Bottomley ([email-masked]) wrote:
> Correct cc's added
> 
> On Mon, 2008-07-07 at 22:25 +1000, Stephen Rothwell wrote:
> > Hi James,
> > 
> > Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> > 
> > drivers/scsi/ibmvscsi/ibmvscsi.c: In function 'map_sg_data':
> > drivers/scsi/ibmvscsi/ibmvscsi.c:431: error: 'FW_FEATURE_CMO' undeclared (first use in this function)
> > drivers/scsi/ibmvscsi/ibmvscsi.c:431: error: (Each undeclared identifier is reported only once
> > drivers/scsi/ibmvscsi/ibmvscsi.c:431: error: for each function it appears in.)
> > drivers/scsi/ibmvscsi/ibmvscsi.c: In function 'ibmvscsi_queuecommand':
> > drivers/scsi/ibmvscsi/ibmvscsi.c:750: error: 'FW_FEATURE_CMO' undeclared (first use in this function)
> > drivers/scsi/ibmvscsi/ibmvscsi.c: In function 'send_mad_adapter_info':
> > drivers/scsi/ibmvscsi/ibmvscsi.c:864: error: 'FW_FEATURE_CMO' undeclared (first use in this function)
> > drivers/scsi/ibmvscsi/ibmvscsi.c: In function 'ibmvscsi_do_host_config':
> > drivers/scsi/ibmvscsi/ibmvscsi.c:1412: error: 'FW_FEATURE_CMO' undeclared (first use in this function)
> > drivers/scsi/ibmvscsi/ibmvscsi.c: At top level:
> > drivers/scsi/ibmvscsi/ibmvscsi.c:1769: error: unknown field 'get_io_entitlement' specified in initializer
> > drivers/scsi/ibmvscsi/ibmvscsi.c:1769: warning: missing braces around initializer
> > drivers/scsi/ibmvscsi/ibmvscsi.c:1769: warning: (near initialization for 'ibmvscsi_driver.driver')
> > drivers/scsi/ibmvscsi/ibmvscsi.c:1769: warning: initialization from incompatible pointer type
> > 
> > Caused because commit 341b56db6804040aa9559e913865108424e3b18b ("[SCSI]
> > ibmvscsi: driver enablement for CMO"), which was 15/16 in a series, has
> > been merged before any of the other patches in the series.  I have
> > reverted that commit.
> 
> Do I detect the fact that IBM sent a patch for a SCSI driver for which
> the core features weren't yet enabled (and which I couldn't check, not
> having a ppc build system)?
> 
> James

I didn't not properly note in the patch description my intent to have
this merged in the linuxppc-dev tree.  The patch is part of a larger set
enabling the feature.  Linux-scsi was CC'ed for this driver for review.

Robert Jennings